import a from "./_baseGet.js";
import s from "./_baseSet.js";
import l from "./_castPath.js";
function d(e, t, m) {
  for (var i = -1, n = t.length, o = {}; ++i < n; ) {
    var r = t[i], f = a(e, r);
    m(f, r) && s(o, l(r, e), f);
  }
  return o;
}
export {
  d as default
};
